using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioNis
    {

        public IList<entidadeNis> Select(entidadeNis objNis)
        {
            dalNis dalNis = null;

            var lstNis = new List<entidadeNis>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalNis = new dalNis();
                dt = dalNis.Select(objNis);

                regranegocioGlobal = new regraNegocioGlobal();

                lstNis = regraNegocioGlobal.ConvertDataTable<entidadeNis>(dt);

                return lstNis;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable SelectCount(entidadeNis objNis)
        {
            dalNis dalNis = null;
            DataTable dt = null;

            try
            {
                dalNis = new dalNis();
                dt = dalNis.SelectCount(objNis);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
